Bug 243069 - Background activity must not interrupt current actions
Summary: Background activity must not interrupt current actions
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Preview-Image (show other bugs)
Version: 1.4.0
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-28 19:49 UTC by Simon
Modified: 2012-06-27 10:28 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon 2010-06-28 19:49:17 UTC
Version:           0.6.2
OS:                Linux

This only happens when you star a video via keyboard shortcuts (Ctrl-0 to Ctrl-5). Then the video starts playing from the beginning again (also when not playing it). Does not happen when clicking on a star on the sidebar.

Reproducible: Always




OS: Linux (x86_64) release 2.6.34-0.slh.10-sidux-amd64
Compiler: cc
Comment 1 Johannes Wienke 2010-06-28 19:54:18 UTC
Version 0.6.2 is reaaaaaally old. Are you sure the version info is correct? If so, you really need to update.
Comment 2 Simon 2010-06-28 20:32:03 UTC
Current SVN, sorry.

The bug tracker does not recognize the version information correctly.
Comment 3 caulier.gilles 2010-06-29 06:51:09 UTC
I suppose that you is on preview mode (F3)

Gilles Caulier
Comment 4 Simon 2010-06-29 10:59:46 UTC
Yes, exactly.
Comment 5 S. Burmeister 2010-08-23 12:58:01 UTC
This does not only happen when starring but also if there are still photos downloaded to that folder. So if one e.g. downloads photos and videos to a folder and wants to watch the videos in it before that last pictures were downloaded, the video playback is restarted after every new picture that was downloaded to the folder.
Comment 6 S. Burmeister 2010-08-23 12:58:50 UTC
Forgot: using digikam svn Rev: 1165909
Comment 7 Johannes Wienke 2010-08-23 13:07:39 UTC
This is also true for other actions like having selections of photos to assign tags to etc. I've changed the title to a more general form.
Comment 8 Marcel Wiesweg 2011-01-27 19:23:14 UTC
SVN commit 1217515 by mwiesweg:

Do not restart playing if currently playing the same ImageInfo

BUG: 243069


 M  +11 -0     mediaplayerview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217515